| Home | Libraries | People | FAQ | More

## Function template ierase_all

boost::algorithm::ierase_all — Erase all algorithm ( case insensitive ).

## Synopsis

    template<typename SequenceT, typename CollectionT>
      void ierase_all(SequenceT & Input, const CollectionT & Search,
                      const std::locale & Loc = std::locale());

## Description

Remove all the occurrences of the string from the input. The input sequence is modified in-place. Searching is case insensitive.

Parameters

Input

  An input string

Loc

  A locale used for case insensitive comparison

Search

  A substring to be searched for.

| Copyright © 2002-2004 Pavol Droba